package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcLabel;
import cn.cecep.talroad.vo.PcLabelVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 特征标签Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcLabelService extends  IService<PcLabel>
{
    /**
     * 查询特征标签列表
     *
     * @param pcLabel 特征标签
     * @return 特征标签集合
     */
    public List<PcLabel> selectPcLabelList(PcLabel pcLabel);

    /**
     * 根据特征标签id 返回类树结构
     * @param id 特征标签id
     * @param factoryId 企业id
     * @return
     */
    List<PcLabelVo> tree(String id, String factoryId);

    List<PcLabelVo> getChildrenLabel(String id);

    List<PcLabel> getPcLabelListByLabelCodes(List<String>codeList);

    void add(PcLabel pcLabel);

    void edit(PcLabelVo pcLabelVo);

    void delete(String id);
}
